﻿

/**
 * Listen for incoming messages.
 */
self.onmessage = function (e) {

	var min = e.data.min;
	var max = e.data.max;

	postMessage("Working...");

	var list = [];
	for (var n=min;n<max;n++)
	{
		if (this.isPrime(n)) {
			list.push(n);
		}
	}

	postMessage(list.join(", "));
}



/**
 * Checks if the number n is a prime number.
 */
function isPrime(n) {

	if (n === 1)
		return false;
	else if (n === 2)
		return true;

	for (var x = 2; x < n; x++) {
		if (n % x === 0)
			return false;
	}
	return true;
}


postMessage("Ready");